A payout job's progress
curl --request GET \
--url https://mpc.hex-api.app/relay/jobs/{chain}/{id}import requests
url = "https://mpc.hex-api.app/relay/jobs/{chain}/{id}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://mpc.hex-api.app/relay/jobs/{chain}/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://mpc.hex-api.app/relay/jobs/{chain}/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://mpc.hex-api.app/relay/jobs/{chain}/{id}"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://mpc.hex-api.app/relay/jobs/{chain}/{id}")
.asString();require 'uri'
require 'net/http'
url = URI("https://mpc.hex-api.app/relay/jobs/{chain}/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"id": "3.b55dd9d2-a1bd-48fb-b8d6-6e91aa21433b",
"origin": "api",
"chain_id": 137,
"receiver": "4BwLMDn4SNyrgHHgU9x5tAudyGZ7",
"status": "done",
"pending": 0,
"steps": [
{
"nonce": "1792107257000001836156",
"action": "withdraw",
"tx": "0xdfd90cb908815115b944a21f71a015cccfe668ff8752e49d440beb9da7769df4",
"at": 1792944181000
},
{
"nonce": "1792107257000001836156",
"action": "clear",
"tx": "2WL6qSNvB65gX1AavfEccPLQwhKjJytS7DuPPLwUMP9T",
"at": 1792944189000
}
],
"created_at": 1792944180000,
"updated_at": 1792944193000
}
Relay
A payout job's progress
The job POST /relay/withdraw answered. Finished jobs are kept for 7 days.
GET
/
relay
/
jobs
/
{chain}
/
{id}
A payout job's progress
curl --request GET \
--url https://mpc.hex-api.app/relay/jobs/{chain}/{id}import requests
url = "https://mpc.hex-api.app/relay/jobs/{chain}/{id}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://mpc.hex-api.app/relay/jobs/{chain}/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://mpc.hex-api.app/relay/jobs/{chain}/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://mpc.hex-api.app/relay/jobs/{chain}/{id}"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://mpc.hex-api.app/relay/jobs/{chain}/{id}")
.asString();require 'uri'
require 'net/http'
url = URI("https://mpc.hex-api.app/relay/jobs/{chain}/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"id": "3.b55dd9d2-a1bd-48fb-b8d6-6e91aa21433b",
"origin": "api",
"chain_id": 137,
"receiver": "4BwLMDn4SNyrgHHgU9x5tAudyGZ7",
"status": "done",
"pending": 0,
"steps": [
{
"nonce": "1792107257000001836156",
"action": "withdraw",
"tx": "0xdfd90cb908815115b944a21f71a015cccfe668ff8752e49d440beb9da7769df4",
"at": 1792944181000
},
{
"nonce": "1792107257000001836156",
"action": "clear",
"tx": "2WL6qSNvB65gX1AavfEccPLQwhKjJytS7DuPPLwUMP9T",
"at": 1792944189000
}
],
"created_at": 1792944180000,
"updated_at": 1792944193000
}
Path Parameters
Response
The job.
Chain ids are omni's (v2_1.omni.hot.tg), not always the chain's own: EVM chains use their EIP-155 id (Ethereum 1, Optimism 10, BNB 56, Polygon 137, Monad 143, X Layer 196, Base 8453, Arbitrum 42161, Avalanche 43114, ...); the others have omni's numbers: Solana 1001, NEAR 1010, Stellar 1100, TON 1117 (TON v1, 1111, is dead), Juno 4444118, Gonka 4444119.
Required range:
x >= 1Examples:
1100
1117
137
4444119